//
//  AgentView.h
//  Creatures
//
//  Created by Lenka on 21/12/2009.
//  Copyright 2009 Lenka Pitonakova. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Texture2D.h"


@class DynObjController;

@interface DynObjView : NSObject {
	BOOL m_bSelected;
	DynObjController *m_pController;
	BOOL m_bGoingToUnselect;
}

@property  BOOL m_bSelected;

- (id) initViewWithController: (DynObjController*)control_;
- (void) RenderAt: (CGPoint)pos_ rot:(CGFloat)rot_ txtrId: (Byte)txtrId_ uCoordins:(CGPoint)uc_ vCoordins:(CGPoint)vc_;
- (BOOL) HitTest:(CGPoint)withPt selfPos:(CGPoint)pos_ selfSize:(CGPoint)size_;

- (void) HandleTouchesBeginAt:(CGPoint)pos_ selfPos:(CGPoint)selfPos_ selfSize:(CGPoint)selfSize_;
- (void) HandleTouchesMovedAt:(CGPoint)pos_ selfPos:(CGPoint)selfPos_ selfSize:(CGPoint)selfSize_;
- (void) HandleTouchesEndedAt:(CGPoint)pos_ selfPos:(CGPoint)selfPos_ selfSize:(CGPoint)selfSize_;


- (void) UserStartTouchInside;
- (void) UserStartTouchOutside;

@end
