//
//  WorldObjectStatic.m
//  Creatures
//
//  Created by Lenka on 07/01/2010.
//  Copyright 2010 Lenka Pitonakova. All rights reserved.
//

#import "StatObj.h"


@implementation StatObj

- (id) initStatObj:(Byte)id_ type:(Byte)type_ pos:(CGPoint)pos_ rot:(CGFloat)rot_ {
	CGPoint size = CGPointMake(0,0);
	m_iType = type_;
	[super initStandard:id_ pos:pos_ size:size rot:rot_ txtrId:TEX_OBJS_STAT];
	switch (m_iType) {
		case OBJ_SMALL:
			m_ptSize = CGPointMake(60,60);
			m_ptUcoordins = CGPointMake(0,0.33);
			m_ptVcoordins = CGPointMake(0,0.5);
			break;
		case OBJ_BIG:
			m_ptSize = CGPointMake(120,120);
			m_ptUcoordins = CGPointMake(0.34,1);
			m_ptVcoordins = CGPointMake(0,1);
		default:
			break;
	}
	return self;
}
@end
