//
//  AgentController.h
//  Creatures
//
//  Created by Lenka on 21/12/2009.
//  Copyright 2009 Lenka Pitonakova. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "DynObjController.h"

@class UnitMotor;
@class UnitDNA;

@interface UnitController : DynObjController {
	UnitMotor* m_pMotor;
	UnitDNA* m_pDNA;
}

- (id) initUnit: (Byte)id_ pos:(CGPoint)pos_ rot:(CGFloat)rot_ world:(World*)world_; 
- (id) initUnit: (Byte)id_ pos:(CGPoint)pos_ rot:(CGFloat)rot_ world:(World*)world_ DNA:dna_; 
- (void) SetupSelf;
- (void) dealloc;
- (void) Update;

- (void) FinishedTask:(Byte)task_;
- (NSString*) GetDNA;

@end
